	device pentagon1024

	org #6000

begin

	ds #8000-$
;ini disk
	ld (iy+1),#cc
	xor a
	ld (#5d10),a
;load player
	ld hl,tfile
	ld de,#5cdd
	ld bc,9
	ldir
	ld c,#a ;find
	call #3d13
	ld a,c
	ld c,#8 ;load descr
	call #3d13
	xor a
	ld (23801),a
	ld hl,#6000
	ld de,(#5ce8) ;length
	ld a,3
	ld c,#e ;load file
	call #3d13
;ini player
	call #6000
	ld c,#18 ;check disk type
	call #3d13
;save player
	ld hl,#5cdd+6
	ld (hl),"I" ;filename "MODULEI C"
	ld hl,#6000
	ld de,(#5ce8) ;length
	ld c,#b ;save file
	;call #3d13 ;ÂÈÑÍÅÒ
	jp $
tfile
	db "MODULE  C"

end

	display "Size ",/d,end-begin," bytes"
	
	savebin "code.c",begin,end-begin
	
